﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.5
@EndOfDesignText@
#Region Module Attributes
   #StartAtBoot: True
#End Region

'Service module
Sub Process_Globals
	
	Dim PE As PhoneEvents 'gives you the phone events as they are happening - lib Phone ver. 2.25
	Dim AC As AnswerCall 'used for answering the call - lib AnswerCall ver. 1.00
	Dim PhoneId As PhoneId 'needed for PE Initialization
	Dim sNotif As Notification 'used for foreground services - required by android

	
End Sub

Sub Service_Create
	
	PE.InitializeWithPhoneState("PE",PhoneId)
	AC.Initialize("Test")

	Log("Service created")
	sNotif.Initialize
	sNotif.Icon = "icon"
	sNotif.SetInfo("Test","Service Running",Main)
	sNotif.Notify(1)

	Service.StartForeground(1,sNotif)
	
	
End Sub

Sub Service_Start (StartingIntent As Intent)

	Log("Service started.")
		
End Sub


Sub PE_PhoneStateChanged (State As String, IncomingNumber As String, Intent As Intent)
	
	Log(Intent.ExtrasToString)
	
	Log("State1: " & State)


	If  AC.isRinging == True Then
		Log("RINGING!!!!")
		Log("PhoneStateChanged, State = " & State & ", IncomingNumber = " & IncomingNumber)

			'AC.LetPhoneRing(1000)

			Sleep(0)

		Log("State2: " & State)

		
	End If
	Log("State3: " & State)
End Sub

Sub Service_Destroy
	
End Sub



